Page MenuHomePhabricator

Create a MediaWiki extension for side-by-side edit merge screen
Closed, ResolvedPublic21 Story Points

Description

Task:
Create a media wiki extension that instead of showing the current edit merge screen, shows a new one when an edit conflict occurs.
The new one:

  • has an info box that explains about the situation with the following text
    • Another user just edited and saved this page. There is a conflict between your version and the current version. You will have to merge your changes into the current text version. Only the text in the editor field will be saved when you click on "Publlish page".
  • has a split screen
    • the left hand side shows the user’s version in wikitext, but non-editable.
      • Its title is Conflicting changes
      • The subtitle is Differences between the currently published version (by Grashüpfer90 on Date Time) and your text (Date Time).
    • the right hand side of the split screen shows the editor with the other user’s version.
      • Its title is Editor with version to be published
      • The subtitle is The version in the editor will be published. Initially, its contents is the currently published version (by Grashüpfer90 on Date Time)
    • Grashüpfer90 is the last publisher. There might have been more saves between the user's starting and finishing to edit. Date Time always represents the publication time.
  • the windows can be scrolled independently of each other
  • When people click on „publish“, the editor’s version is the one that is saved

For the general layout see this mockup. Please use the text as explained above, though, and ignore all features that have not been explicitely mentioned above for now.

Background:
This is part of fulfilling wish #1 of the German-speaking community wishlist 2015 (T139601).
The solution is a result of on-wiki discussion and Wikimania 2016 sessions and testings, as well as feedback we received to the prototype.

Event Timeline

Lea_WMDE updated the task description. (Show Details)Sep 2 2016, 3:01 PM
Lea_WMDE set the point value for this task to 21.

Do we have a new for this extension so that a Repository can be requested?

Lea_WMDE updated the task description. (Show Details)
WMDE-leszek triaged this task as Normal priority.Oct 18 2016, 12:44 PM

Change 318292 had a related patch set uploaded (by WMDE-Fisch):
Extract addition of conflict header explanation

https://gerrit.wikimedia.org/r/318292

Change 318535 had a related patch set uploaded (by WMDE-Fisch):
Extract methods while creating the textbox

https://gerrit.wikimedia.org/r/318535

Change 318552 had a related patch set uploaded (by WMDE-Fisch):
Replace the conflict page with a two column version

https://gerrit.wikimedia.org/r/318552

Change 318292 merged by jenkins-bot:
Extract addition of conflict header explanation

https://gerrit.wikimedia.org/r/318292

Change 318535 merged by jenkins-bot:
Extract methods while creating the textbox

https://gerrit.wikimedia.org/r/318535

Legoktm renamed this task from Create a media wiki extension for side-by-side edit merge screen to Create a MediaWiki extension for side-by-side edit merge screen.Nov 9 2016, 11:41 PM

Change 318552 merged by Tobias Gritschacher:
Replace the conflict page with a two column version

https://gerrit.wikimedia.org/r/318552

Addshore moved this task from Done to Demoed on the WMDE-QWERTY-Team board.Nov 15 2016, 3:12 PM
Tobi_WMDE_SW closed this task as Resolved.Nov 16 2016, 11:14 AM
Tobi_WMDE_SW claimed this task.